#ifndef BLC_ARRAY_TCP4_SERVER_HPP
#define BLC_ARRAY_TCP4_SERVER_HPP

#include"blc_core.h"
#include <string>
#include <thread>

typedef struct blc_array_tcp4_server{
#ifdef __cplusplus
    blc_array_tcp4_server(blc_array  *array, std::string const &port_name);
    ~blc_array_tcp4_server();

    void send_properties();
    void server_manager();
    int read_data();
    int send_data();
    int wait_connection();
#endif

    blc_array  *array;
    int socket_fd, client_socket=-1; //We suppose only on client
}blc_array_tcp4_server;

START_EXTERN_C
blc_array_tcp4_server *blc_array_tcp4_server_new(blc_array *array, char const*port_name);
int blc_array_tcp4_server_wait_connection(blc_array_tcp4_server *server);
void blc_array_tcp4_server_delete(blc_array_tcp4_server *server);
END_EXTERN_C

/*
void blc_array_tcp4_server_thread(blc_array *array, string const &port_name){

}*/



#endif // BLC_ARRAY_TCP4_SERVER_HPP
